Bug 52576 - cdrom problems - cdparanoia crashes kernel
cdrom problems - cdparanoia crashes kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-25 14:54 EDT by quam
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description quam 2001-08-25 14:54:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:

When ripping audio with cdparanoia (release III alpha 9) the kernel crashes
on 
occasional tracks of certain cds. 
http://www.xiph.org/paranoia/trouble.html
contains the following:
  "My SCSI drive is unable to read some tracks, occasionally locks up, or
just behaves      strangely in general

     Check your termination! All sorts of incredibly weird errors happen on
SCSI chains 
    without (or with too much!) termination. Real examples of termination
troubles include
     users whose drives would work under windows but not Linux (the windows
driver
    was turning on active termination; the Linux driver was not) all the
way to a user
    whose computer would crash every time he tried to rip track seven of a
particular
   disc (and he's already checked termination twice!)."

This might be related to bug report #52411 which II reported Aug 23, 2001:

   When no cdrom is mounted,  /var/log/messages fills with :
     Aug 23 08:56:58 sleepy kernel: sym53c875E-0-<3,0>: sync msgout:
 1-3-1-c-10.
     Aug 23 08:56:58 sleepy kernel: sym53c875E-0-<3,0>: sync msg in:
 1-3-1-19-f.
     Aug 23 08:56:58 sleepy kernel: sym53c875E-0-<3,0>: sync: per=25
 scntl3=0x30             scntl4=0x0 ofs=15 fak=0 chg=0.

 Running cdparanoia on one particular cdrom causes kernel crash -- might be
 unrelated to the above cdrom problem.

 When I reboot into Redhat 6.1, these problems go away.
 My cdrom is: Vendor: YAMAHA    Model: CRW6416S          Rev: 1.0c
 Win2K reports my SCSI controller is a Symbios Logic 875XS|D:  2280X
 /var/log/messages shows:  sym53c8xx: 53c875E detected with Tekram NVRAM




Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.  Insert audio CD known to cause the kernel to crash
2.  Run ripperX (which runs cdparanoia) with full paranoia options
3.   
	

Actual Results:  occasionally the kernel will crash 

Additional info:
Comment 1 quam 2001-08-28 11:48:33 EDT
I have new information that this bug is probably a bad interaction
between cdparanoia and the program that attempts to automatically
mount CDs when they are inserted.  I am running GNOME, and the problem
seems to have disappeared once I turned it off, using GNOME Control
Center/CD Properties/ Automatically mount CD when inserted.

I still have one CD that 100% of the time will crash the kernel when I
rip the last track with cdparanoia.  The CD has scratches, and when I
turn off the automatic scratch detection and removal, the track will
rip but is truncated.
Comment 2 Kim Lux 2003-01-07 23:45:05 EST
I've got similar but different issues with cdparanoia.   re:"The CD has scratches, and when I turn off the automatic scratch detection and removal, the track will rip but is truncated."  I get the same thing, ie. cdparanoia crashing when ripping cds with scratches.  
Comment 3 Bugzilla owner 2004-09-30 11:39:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.